API Reference
Billing
Domains
Emails
Hooks applications
Hooks endpoints
Hooks event types
Hooks messages
Hooks portal
Log drains
Receiving
Risk
Suppressions
Tracking
Webhook endpoints
Remove a list entry
DELETE
/v1/risk/list_entries/{id}
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe list entry's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The entry was removed.
application/json- response
- response
- …
object*"risk_list_entry"Value in
"risk_list_entry"id*stringdeleted*trueValue in
trueimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.risk.lists.remove("rskle_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "risk_list_entry", "id": "string", "deleted": true}